org.eclipse.viatra.addon.viewers.runtime.model.patterns.util

## Class ChildrenProcessor

- java.lang.Object
- - org.eclipse.viatra.addon.viewers.runtime.model.patterns.util.ChildrenProcessor

- All Implemented Interfaces:
    IMatchProcessor<ChildrenMatch>

      public abstract class ChildrenProcessor
      extends java.lang.Object
      implements IMatchProcessor<ChildrenMatch>

  A match processor tailored for the org.eclipse.viatra.addon.viewers.runtime.model.patterns.children pattern. Clients should derive an (anonymous) class that implements the abstract process().

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChildrenProcessor()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(ChildrenMatch match)` Defines the action that is to be executed on each match.
    `abstract void` | `process(Item pParent, Item pChild)` Defines the action that is to be executed on each match.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChildrenProcessor

          public ChildrenProcessor()

  - ### Method Detail

    - #### process

          public abstract void process(Item pParent,
                                       Item pChild)

      Defines the action that is to be executed on each match.
      Parameters:
        `pParent` - the value of pattern parameter parent in the currently processed match
        `pChild` - the value of pattern parameter child in the currently processed match

    - #### process

          public void process(ChildrenMatch match)

      Description copied from interface: `IMatchProcessor`
      Defines the action that is to be executed on each match.
      Specified by:
        `process` in interface `IMatchProcessor<ChildrenMatch>`
      Parameters:
        `match` - a single match of the pattern that must be processed by the implementation of this method